Package org.tmatesoft.svn.core.io

## Interface ISVNReplayHandler

- All Known Implementing Classes:
    `SVNReplayHandler`

      public interface ISVNReplayHandler

  The ISVNReplayHandler is used in `SVNRepository.replayRange(long, long, long, boolean, ISVNReplayHandler)` to provide and editor for replaying a revision.
  Since:
    1.2
  Version:
    1.3
  Author:
    TMate Software Ltd.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `handleEndRevision​(long revision, SVNProperties revisionProperties, ISVNEditor editor)` | Handles the end of replaying a next revision.
    `ISVNEditor` | `handleStartRevision​(long revision, SVNProperties revisionProperties)` | Handles the start of replaying a next revision and returns an editor through which the revision will be replayed.

- - ### Method Detail

    - #### handleStartRevision

          ISVNEditor handleStartRevision​(long revision,
                                         SVNProperties revisionProperties)
                                  throws SVNException

      Handles the start of replaying a next revision and returns an editor through which the revision will be replayed.
      Parameters:
        `revision` - target revision number of the received replay report
        `revisionProperties` - contains key/value pairs for each revision properties for this `revision`
      Returns:
        editor for replicating `revision`
      Throws:
        `SVNException`

    - #### handleEndRevision

          void handleEndRevision​(long revision,
                                 SVNProperties revisionProperties,
                                 ISVNEditor editor)
                          throws SVNException

      Handles the end of replaying a next revision. In this method the implementor should close the `editor`.
      Parameters:
        `revision` - target revision number of the received replay report
        `revisionProperties` - contains key/value pairs for each revision properties for this `revision`
        `editor` - replication editor
      Throws:
        `SVNException`